Index: trunk/docs/html/functions.html
===================================================================
--- trunk/docs/html/functions.html	(revision 103)
+++ trunk/docs/html/functions.html	(revision 112)
@@ -61,4 +61,5 @@
       <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
+      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
       <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
       <li><a href="files.html"><span>Files</span></a></li>
@@ -90,4 +91,6 @@
       <li><a href="functions_func.html"><span>Functions</span></a></li>
       <li><a href="functions_vars.html"><span>Variables</span></a></li>
+      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
     </ul>
   </div>
@@ -119,5 +122,5 @@
 <h3><a class="anchor" id="index_a">- a -</a></h3><ul>
 <li>alts
-: <a class="el" href="struct_s_step.html#a02196d3433e2deed89ab540b875cd527">SStep</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#af95b7f421e7373e32548c64c358438d7">TSPSolver::SStep</a>
 </li>
 </ul>
@@ -126,11 +129,11 @@
 <h3><a class="anchor" id="index_c">- c -</a></h3><ul>
 <li>cancel()
-: <a class="el" href="class_c_t_s_p_solver.html#a996ac169e8ed087170bd8610fa4aa715">CTSPSolver</a>
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#a46a3da58d4bb9431bea2c915ceaf1eea">TSPSolver::CTSPSolver</a>
 </li>
 <li>candidate
-: <a class="el" href="struct_s_step.html#aeb798262cbff5ddd819a7056f8d21f21">SStep</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#af569aef4d00d3e33f39d8f251138860e">TSPSolver::SStep</a>
 </li>
 <li>cleanup()
-: <a class="el" href="class_c_t_s_p_solver.html#acf86422c1b8ff8e5b9bc88e09c57c48b">CTSPSolver</a>
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#a3ef198959f1b4c32b84fbd5222f8b796">TSPSolver::CTSPSolver</a>
 </li>
 <li>clear()
@@ -150,5 +153,5 @@
 </li>
 <li>CTSPSolver()
-: <a class="el" href="class_c_t_s_p_solver.html#a4a519caa89db1683693759a92a65319c">CTSPSolver</a>
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#a71bebe073ed5149a4558a779410a2e6b">TSPSolver::CTSPSolver</a>
 </li>
 </ul>
@@ -184,8 +187,11 @@
 <h3><a class="anchor" id="index_g">- g -</a></h3><ul>
 <li>getSortedPath()
-: <a class="el" href="class_c_t_s_p_solver.html#a57556c971a25e3556c4aa3cc1fd2d3d0">CTSPSolver</a>
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#a8897c0737ef2451ae606c38113477521">TSPSolver::CTSPSolver</a>
+</li>
+<li>getTotalSteps()
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#a721973cc992b62750aae6fd3ab65773d">TSPSolver::CTSPSolver</a>
 </li>
 <li>getVersionId()
-: <a class="el" href="class_c_t_s_p_solver.html#a677a878c4c8a06316a5d8d5a4fc8ab65">CTSPSolver</a>
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#a71d04cbead3508cdff606a5ccc79e59e">TSPSolver::CTSPSolver</a>
 </li>
 </ul>
@@ -204,5 +210,5 @@
 </li>
 <li>isOptimal()
-: <a class="el" href="class_c_t_s_p_solver.html#a28d546e840cf53c639b45c0f26419f7a">CTSPSolver</a>
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#a2b82ac68b981c47a3261f4e4e9ecd2bd">TSPSolver::CTSPSolver</a>
 </li>
 </ul>
@@ -210,4 +216,7 @@
 
 <h3><a class="anchor" id="index_l">- l -</a></h3><ul>
+<li>LeftBranch
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#af1a915528229317a309dfba9991fcd86a077009b17a9710f3cf1a72803aa05243">TSPSolver::SStep</a>
+</li>
 <li>loadTask()
 : <a class="el" href="class_c_t_s_p_model.html#ae25b1d25b13488fde89e381152c62549">CTSPModel</a>
@@ -221,5 +230,5 @@
 </li>
 <li>matrix
-: <a class="el" href="struct_s_step.html#a0353eb66f83d46f88fb47cc2d1a923dd">SStep</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#ae2ae1106147f4cd4a1e7a15c2bdf9cdc">TSPSolver::SStep</a>
 </li>
 </ul>
@@ -228,8 +237,17 @@
 <h3><a class="anchor" id="index_n">- n -</a></h3><ul>
 <li>nCol
-: <a class="el" href="struct_s_candidate.html#a95a822e8bd7f4709ff24a7ba79f9f338">SCandidate</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step_1_1_s_candidate.html#af6a9d9a2df92c1a56a7156ef7b9f6a27">TSPSolver::SStep::SCandidate</a>
+</li>
+<li>next
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#a8db8f6149eb89754aeefd35348292375">TSPSolver::SStep</a>
+</li>
+<li>NextStep
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#af1a915528229317a309dfba9991fcd86">TSPSolver::SStep</a>
+</li>
+<li>NoNextStep
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#af1a915528229317a309dfba9991fcd86a3b8ba538613f8e35ff43828c6522c354">TSPSolver::SStep</a>
 </li>
 <li>nRow
-: <a class="el" href="struct_s_candidate.html#aebab56506cadaa3c7d0e57037925cea5">SCandidate</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step_1_1_s_candidate.html#ae8336e07f26a5b51439c6c7ac3c15800">TSPSolver::SStep::SCandidate</a>
 </li>
 <li>numCities()
@@ -244,5 +262,5 @@
 <h3><a class="anchor" id="index_o">- o -</a></h3><ul>
 <li>operator==()
-: <a class="el" href="struct_s_candidate.html#a9e4f4f1861131ed23b5576f9cd8d4c68">SCandidate</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step_1_1_s_candidate.html#a4ada1cd8006cf3b50d4a8e912965f0bc">TSPSolver::SStep::SCandidate</a>
 </li>
 </ul>
@@ -251,14 +269,14 @@
 <h3><a class="anchor" id="index_p">- p -</a></h3><ul>
 <li>plNode
-: <a class="el" href="struct_s_step.html#a8776e917cd02f86a57e103c025f5530c">SStep</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#a3d4642f69b5eb7531697112341d31fd9">TSPSolver::SStep</a>
 </li>
 <li>pNode
-: <a class="el" href="struct_s_step.html#a0fcce90c9c1c60f00b5a703b117b5e85">SStep</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#a4689e211e6a03f4b255243fde93ac54e">TSPSolver::SStep</a>
 </li>
 <li>price
-: <a class="el" href="struct_s_step.html#a0355ec75846222996de07108a7c2e9c8">SStep</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#a881c1503127ad2426194700491ea4026">TSPSolver::SStep</a>
 </li>
 <li>prNode
-: <a class="el" href="struct_s_step.html#a51b304fcfc71508203d2becefcae5d31">SStep</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#a44db7deaa9dbb69eafdf5fc7efd2296b">TSPSolver::SStep</a>
 </li>
 </ul>
@@ -269,6 +287,9 @@
 : <a class="el" href="class_c_t_s_p_model.html#ad18e48dd0b0ad56d8e4ae3b1bc039e4a">CTSPModel</a>
 </li>
+<li>RightBranch
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#af1a915528229317a309dfba9991fcd86aa09cf2c0a12d3097b67884e9c45e1818">TSPSolver::SStep</a>
+</li>
 <li>routePartFound()
-: <a class="el" href="class_c_t_s_p_solver.html#ae12895fa529a965b57204e355b9012d7">CTSPSolver</a>
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#a5e02867f053089a3e096f6baa70499a2">TSPSolver::CTSPSolver</a>
 </li>
 <li>rowCount()
@@ -283,5 +304,5 @@
 </li>
 <li>SCandidate()
-: <a class="el" href="struct_s_candidate.html#ad7ac35a48148fcc51614079714c03e6f">SCandidate</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step_1_1_s_candidate.html#ad1f84242c537c8c824c5383cec63c233">TSPSolver::SStep::SCandidate</a>
 </li>
 <li>setData()
@@ -295,8 +316,8 @@
 </li>
 <li>solve()
-: <a class="el" href="class_c_t_s_p_solver.html#a0f0f0aa60d05c97f3b0e867a381de558">CTSPSolver</a>
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#ab8a5a387deebffd898577dba31a95099">TSPSolver::CTSPSolver</a>
 </li>
 <li>SStep()
-: <a class="el" href="struct_s_step.html#a450adac026150c0a49967a20ce46e51e">SStep</a>
+: <a class="el" href="struct_t_s_p_solver_1_1_s_step.html#ae1d7209d6effb9fcfa28aafeac360c31">TSPSolver::SStep</a>
 </li>
 </ul>
@@ -312,5 +333,5 @@
 <h3><a class="anchor" id="index_w">- w -</a></h3><ul>
 <li>wasCanceled()
-: <a class="el" href="class_c_t_s_p_solver.html#a80cff5d533711ab1929de1fdf09495b7">CTSPSolver</a>
+: <a class="el" href="class_t_s_p_solver_1_1_c_t_s_p_solver.html#a6cce9079d60735f92037c98d6d361a82">TSPSolver::CTSPSolver</a>
 </li>
 </ul>
@@ -321,5 +342,5 @@
      onmouseout="return searchBox.OnSearchSelectHide()"
      onkeydown="return searchBox.OnSearchSelectKey(event)">
-<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>
+<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>
 
 <!-- iframe showing the search results (closed by default) -->
@@ -330,5 +351,5 @@
 </div>
 
-<hr size="1"/><address style="text-align: right;"><small>Generated on Fri Apr 9 00:25:38 2010 for TSPSG: TSP Solver and Generator by&nbsp;
+<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Apr 28 02:47:14 2010 for TSPSG: TSP Solver and Generator by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>