Index: /trunk/l10n/tspsg_ru.ts
===================================================================
--- /trunk/l10n/tspsg_ru.ts	(revision 113)
+++ /trunk/l10n/tspsg_ru.ts	(revision 114)
@@ -323,5 +323,5 @@
         <location filename="../src/mainwindow.cpp" line="493"/>
         <source>About TSPSG</source>
-        <translation>Про TSPSG</translation>
+        <translation>О TSPSG</translation>
     </message>
     <message>
@@ -634,5 +634,5 @@
         <location filename="../ui/mainwindow.ui" line="454"/>
         <source>&amp;About TSPSG...</source>
-        <translation>&amp;Про TSPSG...</translation>
+        <translation>&amp;О TSPSG...</translation>
     </message>
     <message>
@@ -780,10 +780,10 @@
         <location filename="../ui/mainwindow.ui" line="538"/>
         <source>About &amp;Qt...</source>
-        <translation>Про &amp;Qt...</translation>
+        <translation>О &amp;Qt...</translation>
     </message>
     <message>
         <location filename="../ui/mainwindow.ui" line="541"/>
         <source>About Qt library</source>
-        <translation>Про библиотеку Qt</translation>
+        <translation>О библиотеке Qt</translation>
     </message>
     <message>
Index: /trunk/src/main.cpp
===================================================================
--- /trunk/src/main.cpp	(revision 113)
+++ /trunk/src/main.cpp	(revision 114)
@@ -58,5 +58,9 @@
 
 MainWindow mainwindow;
+#ifdef HANDHELD
+	mainwindow.showMaximized();
+#else // HANDHELD
 	mainwindow.show();
+#endif // HANDHELD
 	app.restoreOverrideCursor();
 	return app.exec();
Index: /trunk/src/mainwindow.cpp
===================================================================
--- /trunk/src/mainwindow.cpp	(revision 113)
+++ /trunk/src/mainwindow.cpp	(revision 114)
@@ -51,26 +51,26 @@
 	connect(QApplication::desktop(), SIGNAL(workAreaResized(int)), SLOT(desktopResized(int)));
 #endif // Q_OS_WINCE_WM
-	connect(actionFileNew,SIGNAL(triggered()),this,SLOT(actionFileNewTriggered()));
-	connect(actionFileOpen,SIGNAL(triggered()),this,SLOT(actionFileOpenTriggered()));
-	connect(actionFileSave,SIGNAL(triggered()),this,SLOT(actionFileSaveTriggered()));
-	connect(actionFileSaveAsTask,SIGNAL(triggered()),this,SLOT(actionFileSaveAsTaskTriggered()));
-	connect(actionFileSaveAsSolution,SIGNAL(triggered()),this,SLOT(actionFileSaveAsSolutionTriggered()));
+	connect(actionFileNew, SIGNAL(triggered()), SLOT(actionFileNewTriggered()));
+	connect(actionFileOpen, SIGNAL(triggered()), SLOT(actionFileOpenTriggered()));
+	connect(actionFileSave, SIGNAL(triggered()), SLOT(actionFileSaveTriggered()));
+	connect(actionFileSaveAsTask, SIGNAL(triggered()), SLOT(actionFileSaveAsTaskTriggered()));
+	connect(actionFileSaveAsSolution, SIGNAL(triggered()), SLOT(actionFileSaveAsSolutionTriggered()));
 #ifndef QT_NO_PRINTER
-	connect(actionFilePrintPreview,SIGNAL(triggered()),this,SLOT(actionFilePrintPreviewTriggered()));
-	connect(actionFilePrint,SIGNAL(triggered()),this,SLOT(actionFilePrintTriggered()));
+	connect(actionFilePrintPreview, SIGNAL(triggered()), SLOT(actionFilePrintPreviewTriggered()));
+	connect(actionFilePrint, SIGNAL(triggered()), SLOT(actionFilePrintTriggered()));
 #endif // QT_NO_PRINTER
-	connect(actionSettingsPreferences,SIGNAL(triggered()),this,SLOT(actionSettingsPreferencesTriggered()));
+	connect(actionSettingsPreferences, SIGNAL(triggered()), SLOT(actionSettingsPreferencesTriggered()));
 #ifdef Q_OS_WIN32
 	connect(actionHelpCheck4Updates, SIGNAL(triggered()), SLOT(actionHelpCheck4UpdatesTriggered()));
 #endif // Q_OS_WIN32
-	connect(actionSettingsLanguageAutodetect,SIGNAL(triggered(bool)),this,SLOT(actionSettingsLanguageAutodetectTriggered(bool)));
-	connect(groupSettingsLanguageList,SIGNAL(triggered(QAction *)),this,SLOT(groupSettingsLanguageListTriggered(QAction *)));
-	connect(actionHelpAboutQt,SIGNAL(triggered()),qApp,SLOT(aboutQt()));
-	connect(actionHelpAbout,SIGNAL(triggered()),this,SLOT(actionHelpAboutTriggered()));
-
-	connect(buttonSolve,SIGNAL(clicked()),this,SLOT(buttonSolveClicked()));
-	connect(buttonRandom,SIGNAL(clicked()),this,SLOT(buttonRandomClicked()));
-	connect(buttonBackToTask,SIGNAL(clicked()),this,SLOT(buttonBackToTaskClicked()));
-	connect(spinCities,SIGNAL(valueChanged(int)),this,SLOT(spinCitiesValueChanged(int)));
+	connect(actionSettingsLanguageAutodetect, SIGNAL(triggered(bool)), SLOT(actionSettingsLanguageAutodetectTriggered(bool)));
+	connect(groupSettingsLanguageList, SIGNAL(triggered(QAction *)), SLOT(groupSettingsLanguageListTriggered(QAction *)));
+	connect(actionHelpAboutQt, SIGNAL(triggered()), qApp, SLOT(aboutQt()));
+	connect(actionHelpAbout, SIGNAL(triggered()), SLOT(actionHelpAboutTriggered()));
+
+	connect(buttonSolve, SIGNAL(clicked()), SLOT(buttonSolveClicked()));
+	connect(buttonRandom, SIGNAL(clicked()), SLOT(buttonRandomClicked()));
+	connect(buttonBackToTask, SIGNAL(clicked()), SLOT(buttonBackToTaskClicked()));
+	connect(spinCities, SIGNAL(valueChanged(int)), SLOT(spinCitiesValueChanged(int)));
 
 #ifndef HANDHELD
@@ -86,13 +86,11 @@
 		settings->endGroup();
 	}
-#else
-	setWindowState(Qt::WindowMaximized);
 #endif // HANDHELD
 
 	tspmodel = new CTSPModel(this);
 	taskView->setModel(tspmodel);
-	connect(tspmodel,SIGNAL(numCitiesChanged(int)),this,SLOT(numCitiesChanged(int)));
-	connect(tspmodel,SIGNAL(dataChanged(const QModelIndex &, const QModelIndex &)),this,SLOT(dataChanged(const QModelIndex &, const QModelIndex &)));
-	connect(tspmodel,SIGNAL(layoutChanged()),this,SLOT(dataChanged()));
+	connect(tspmodel, SIGNAL(numCitiesChanged(int)), SLOT(numCitiesChanged(int)));
+	connect(tspmodel, SIGNAL(dataChanged(const QModelIndex &, const QModelIndex &)), SLOT(dataChanged(const QModelIndex &, const QModelIndex &)));
+	connect(tspmodel, SIGNAL(layoutChanged()), SLOT(dataChanged()));
 	if ((QCoreApplication::arguments().count() > 1) && (tspmodel->loadTask(QCoreApplication::arguments().at(1))))
 		setFileName(QCoreApplication::arguments().at(1));
@@ -944,5 +942,5 @@
 			name = t.translate("--------", "LANGNAME", "Please, provide a native name of your translation language here.");
 			a = menuSettingsLanguage->addAction(name);
-			a->setStatusTip(QString("Set application language to %1").arg(name));
+			a->setStatusTip(tr("Set application language to %1").arg(name));
 			a->setData(lang.completeBaseName().mid(6));
 			a->setCheckable(true);
@@ -1169,9 +1167,9 @@
 
 	//! \hack HACK: A little hack for toolbar icons to have a sane size.
-#ifdef Q_OS_WINCE_WM
+#ifdef HANDHELD
 	toolBar->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
-#elif defined(Q_OS_SYMBIAN)
-	toolBar->setIconSize(QSize(logicalDpiX() / 5, logicalDpiY() / 5));
-#endif // Q_OS_WINCE_WM
+#endif // HANDHELD
+	static_cast<QToolButton *>(toolBar->widgetForAction(actionFileSave))->setMenu(menuFileSaveAs);
+	static_cast<QToolButton *>(toolBar->widgetForAction(actionFileSave))->setPopupMode(QToolButton::MenuButtonPopup);
 
 	solutionText->document()->setDefaultFont(settings->value("Output/Font", QFont(DEF_FONT_FAMILY, DEF_FONT_SIZE)).value<QFont>());
@@ -1195,4 +1193,8 @@
 	toolBar->insertAction(actionSettingsPreferences,actionFilePrint);
 #endif // QT_NO_PRINTER
+
+	menuSettings->insertAction(actionSettingsPreferences, toolBar->toggleViewAction());
+	menuSettings->insertSeparator(actionSettingsPreferences);
+
 #ifdef Q_OS_WIN32
 	actionHelpCheck4Updates = new QAction(this);
Index: /trunk/src/settingsdialog.cpp
===================================================================
--- /trunk/src/settingsdialog.cpp	(revision 113)
+++ /trunk/src/settingsdialog.cpp	(revision 114)
@@ -227,5 +227,7 @@
 	settings->endGroup();
 
-#ifndef Q_OS_WINCE_WM
+#ifdef HANDHELD
+	setWindowState(Qt::WindowMaximized);
+#else
 	adjustSize();
 #endif // Q_OS_WINCE_WM
@@ -290,4 +292,5 @@
 	}
 #endif // Q_OS_WIN32
+	settings->setValue("Autosize", cbAutosize->isChecked());
 	settings->setValue("UseNativeDialogs", cbUseNativeDialogs->isChecked());
 
Index: /trunk/ui/mainwindow.ui
===================================================================
--- /trunk/ui/mainwindow.ui	(revision 113)
+++ /trunk/ui/mainwindow.ui	(revision 114)
@@ -310,5 +310,4 @@
 	</widget>
 	<addaction name="menuSettingsLanguage"/>
-	<addaction name="separator"/>
 	<addaction name="actionSettingsPreferences"/>
    </widget>