Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.cpp
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.cpp	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.cpp	(revision 118)
@@ -1821,8 +1821,8 @@
     connect(d_ptr->ui.removeButton, SIGNAL(clicked()), this, SLOT(removeClicked()));
     connect(d_ptr->ui.renameButton, SIGNAL(clicked()), this, SLOT(renameClicked()));
-    connect(d_ptr->ui.defaultButton, SIGNAL(clicked()), this, SLOT(defaultClicked()));
-    connect(d_ptr->ui.okButton, SIGNAL(clicked()), this, SLOT(okClicked()));
-    connect(d_ptr->ui.applyButton, SIGNAL(clicked()), this, SLOT(applyClicked()));
-    connect(d_ptr->ui.cancelButton, SIGNAL(clicked()), this, SLOT(cancelClicked()));
+	connect(d_ptr->ui.buttonBox->button(QDialogButtonBox::RestoreDefaults), SIGNAL(clicked()), this, SLOT(defaultClicked()));
+	connect(d_ptr->ui.buttonBox->button(QDialogButtonBox::Save), SIGNAL(clicked()), this, SLOT(okClicked()));
+	connect(d_ptr->ui.buttonBox->button(QDialogButtonBox::Apply), SIGNAL(clicked()), this, SLOT(applyClicked()));
+	connect(d_ptr->ui.buttonBox->button(QDialogButtonBox::Close), SIGNAL(clicked()), this, SLOT(cancelClicked()));
     connect(d_ptr->ui.upButton, SIGNAL(clicked()), this, SLOT(upClicked()));
     connect(d_ptr->ui.downButton, SIGNAL(clicked()), this, SLOT(downClicked()));
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri	(revision 118)
@@ -9,5 +9,5 @@
     HEADERS += $$PWD/qttoolbardialog.h
     FORMS += $$PWD/qttoolbardialog.ui
-#    RESOURCES += $$PWD/qttoolbardialog.qrc
+    RESOURCES += $$PWD/qttoolbardialog.qrc
 }
 
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc	(revision 118)
@@ -1,10 +1,9 @@
-<RCC version="1.0">
-    <qresource prefix="/qttoolbardialog">
-        <file>images/up.png</file>
-        <file>images/down.png</file>
-        <file>images/forward.png</file>
-        <file>images/back.png</file>
-        <file>images/plus.png</file>
-        <file>images/minus.png</file>
+<RCC>
+    <qresource prefix="/">
+        <file>images/icons/go-down.png</file>
+        <file>images/icons/go-next.png</file>
+        <file>images/icons/go-previous.png</file>
+        <file>images/icons/list-add.png</file>
+        <file>images/icons/list-remove.png</file>
     </qresource>
 </RCC>
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.ui
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.ui	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.ui	(revision 118)
@@ -1,47 +1,43 @@
-<ui version="4.0" >
- <author></author>
- <comment></comment>
- <exportmacro></exportmacro>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>QtToolBarDialog</class>
- <widget class="QDialog" name="QtToolBarDialog" >
-  <property name="geometry" >
-   <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>487</width>
-    <height>464</height>
-   </rect>
-  </property>
-  <property name="windowTitle" >
+ <widget class="QDialog" name="QtToolBarDialog">
+  <property name="windowTitle">
    <string>Customize Toolbars</string>
   </property>
-  <layout class="QGridLayout" >
-   <property name="margin" >
+  <layout class="QGridLayout">
+   <property name="margin">
     <number>8</number>
    </property>
-   <property name="spacing" >
+   <property name="spacing">
     <number>6</number>
    </property>
-   <item rowspan="3" row="1" column="0" >
-    <widget class="QTreeWidget" name="actionTree" />
+   <item row="1" column="0" rowspan="3">
+    <widget class="QTreeWidget" name="actionTree">
+     <column>
+      <property name="text">
+       <string notr="true">1</string>
+      </property>
+     </column>
+    </widget>
    </item>
-   <item row="0" column="0" >
-    <widget class="QLabel" name="label" >
-     <property name="text" >
+   <item row="0" column="0">
+    <widget class="QLabel" name="label">
+     <property name="text">
       <string>Actions</string>
      </property>
     </widget>
    </item>
-   <item row="0" column="1" colspan="2" >
-    <layout class="QHBoxLayout" >
-     <property name="margin" >
+   <item row="0" column="1" colspan="2">
+    <layout class="QHBoxLayout">
+     <property name="spacing">
+      <number>6</number>
+     </property>
+     <property name="margin">
       <number>0</number>
      </property>
-     <property name="spacing" >
-      <number>6</number>
-     </property>
      <item>
-      <widget class="QLabel" name="label_2" >
-       <property name="text" >
+      <widget class="QLabel" name="label_2">
+       <property name="text">
         <string>Toolbars</string>
        </property>
@@ -49,6 +45,6 @@
      </item>
      <item>
-      <widget class="QToolButton" name="newButton" >
-       <property name="text" >
+      <widget class="QToolButton" name="newButton">
+       <property name="text">
         <string>New</string>
        </property>
@@ -56,6 +52,6 @@
      </item>
      <item>
-      <widget class="QToolButton" name="removeButton" >
-       <property name="text" >
+      <widget class="QToolButton" name="removeButton">
+       <property name="text">
         <string>Remove</string>
        </property>
@@ -63,6 +59,6 @@
      </item>
      <item>
-      <widget class="QToolButton" name="renameButton" >
-       <property name="text" >
+      <widget class="QToolButton" name="renameButton">
+       <property name="text">
         <string>Rename</string>
        </property>
@@ -71,74 +67,21 @@
     </layout>
    </item>
-   <item row="4" column="0" colspan="3" >
-    <layout class="QHBoxLayout" >
-     <property name="margin" >
+   <item row="3" column="1">
+    <layout class="QVBoxLayout">
+     <property name="spacing">
+      <number>6</number>
+     </property>
+     <property name="margin">
       <number>0</number>
      </property>
-     <property name="spacing" >
-      <number>6</number>
-     </property>
      <item>
-      <widget class="QPushButton" name="defaultButton" >
-       <property name="text" >
-        <string>Restore All</string>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <spacer>
-       <property name="orientation" >
-        <enum>Qt::Horizontal</enum>
-       </property>
-       <property name="sizeHint" >
-        <size>
-         <width>61</width>
-         <height>31</height>
-        </size>
-       </property>
-      </spacer>
-     </item>
-     <item>
-      <widget class="QPushButton" name="okButton" >
-       <property name="text" >
-        <string>OK</string>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="applyButton" >
-       <property name="text" >
-        <string>Apply</string>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="cancelButton" >
-       <property name="text" >
-        <string>Cancel</string>
-       </property>
-      </widget>
-     </item>
-    </layout>
-   </item>
-   <item row="3" column="1" >
-    <layout class="QVBoxLayout" >
-     <property name="margin" >
-      <number>0</number>
-     </property>
-     <property name="spacing" >
-      <number>6</number>
-     </property>
-     <item>
-      <widget class="QToolButton" name="upButton" >
-       <property name="sizePolicy" >
-        <sizepolicy>
-         <hsizetype>1</hsizetype>
-         <vsizetype>0</vsizetype>
+      <widget class="QToolButton" name="upButton">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>Up</string>
        </property>
@@ -146,14 +89,12 @@
      </item>
      <item>
-      <widget class="QToolButton" name="leftButton" >
-       <property name="sizePolicy" >
-        <sizepolicy>
-         <hsizetype>1</hsizetype>
-         <vsizetype>0</vsizetype>
+      <widget class="QToolButton" name="leftButton">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&lt;-</string>
        </property>
@@ -161,29 +102,25 @@
      </item>
      <item>
-      <widget class="QToolButton" name="rightButton" >
-       <property name="sizePolicy" >
-        <sizepolicy>
-         <hsizetype>1</hsizetype>
-         <vsizetype>0</vsizetype>
+      <widget class="QToolButton" name="rightButton">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
-       <property name="text" >
-        <string>-></string>
+       <property name="text">
+        <string>-&gt;</string>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QToolButton" name="downButton" >
-       <property name="sizePolicy" >
-        <sizepolicy>
-         <hsizetype>1</hsizetype>
-         <vsizetype>0</vsizetype>
+      <widget class="QToolButton" name="downButton">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>Down</string>
        </property>
@@ -192,8 +129,8 @@
      <item>
       <spacer>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
-       <property name="sizeHint" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>29</width>
@@ -205,20 +142,26 @@
     </layout>
    </item>
-   <item row="3" column="2" >
-    <widget class="QListWidget" name="currentToolBarList" />
+   <item row="3" column="2">
+    <widget class="QListWidget" name="currentToolBarList"/>
    </item>
-   <item row="2" column="1" colspan="2" >
-    <widget class="QLabel" name="label_3" >
-     <property name="text" >
+   <item row="2" column="1" colspan="2">
+    <widget class="QLabel" name="label_3">
+     <property name="text">
       <string>Current Toolbar Actions</string>
      </property>
     </widget>
    </item>
-   <item row="1" column="1" colspan="2" >
-    <widget class="QListWidget" name="toolBarList" />
+   <item row="1" column="1" colspan="2">
+    <widget class="QListWidget" name="toolBarList"/>
+   </item>
+   <item row="4" column="0" colspan="3">
+    <widget class="QDialogButtonBox" name="buttonBox">
+     <property name="standardButtons">
+      <set>QDialogButtonBox::Apply|QDialogButtonBox::Close|QDialogButtonBox::RestoreDefaults|QDialogButtonBox::Save</set>
+     </property>
+    </widget>
    </item>
   </layout>
  </widget>
- <pixmapfunction></pixmapfunction>
  <tabstops>
   <tabstop>newButton</tabstop>
@@ -231,8 +174,4 @@
   <tabstop>downButton</tabstop>
   <tabstop>currentToolBarList</tabstop>
-  <tabstop>defaultButton</tabstop>
-  <tabstop>okButton</tabstop>
-  <tabstop>applyButton</tabstop>
-  <tabstop>cancelButton</tabstop>
  </tabstops>
  <resources/>
Index: trunk/src/globals.h
===================================================================
--- trunk/src/globals.h	(revision 117)
+++ trunk/src/globals.h	(revision 118)
@@ -35,5 +35,13 @@
 	#include <QtSvg>
 #endif // NOSVG && QT_VERSION >= 0x040500
-#include <QtToolBarDialog>
+
+#if defined(Q_OS_WINCE_WM) || defined(Q_OS_SYMBIAN)
+	//! This is defined on handheld devices (e.g., Windows Mobile, Symbian).
+	#define HANDHELD
+#endif
+
+#ifndef HANDHELD
+	#include <QtToolBarDialog>
+#endif
 
 // Version info
@@ -111,9 +119,4 @@
 #endif // Q_OS_WIN32
 
-#if defined(Q_OS_WINCE_WM) || defined(Q_OS_SYMBIAN)
-	//! This is defined on handheld (e.g., Windows Mobile, Symbian) devices.
-	#define HANDHELD
-#endif
-
 // Sanity checks
 // Check that default number of cities is sane (<= MAX_NUM_CITIES)
Index: trunk/src/mainwindow.cpp
===================================================================
--- trunk/src/mainwindow.cpp	(revision 117)
+++ trunk/src/mainwindow.cpp	(revision 118)
@@ -68,4 +68,7 @@
 	connect(actionFilePrint, SIGNAL(triggered()), SLOT(actionFilePrintTriggered()));
 #endif // QT_NO_PRINTER
+#ifndef HANDHELD
+	connect(actionSettingsToolbarsConfigure, SIGNAL(triggered()), SLOT(actionSettingsToolbarsConfigureTriggered()));
+#endif // HANDHELD
 	connect(actionSettingsPreferences, SIGNAL(triggered()), SLOT(actionSettingsPreferencesTriggered()));
 #ifdef Q_OS_WIN32
@@ -395,4 +398,21 @@
 }
 
+#ifndef HANDHELD
+void MainWindow::actionSettingsToolbarsConfigureTriggered()
+{
+QtToolBarDialog dlg(this);
+	dlg.setToolBarManager(toolBarManager);
+	dlg.exec();
+QToolButton *tb = static_cast<QToolButton *>(toolBarMain->widgetForAction(actionFileSave));
+	if (tb != NULL) {
+		tb->setMenu(menuFileSaveAs);
+		tb->setPopupMode(QToolButton::MenuButtonPopup);
+		tb->resize(tb->sizeHint());
+	}
+
+	loadToolbarList();
+}
+#endif // HANDHELD
+
 #ifdef Q_OS_WIN32
 void MainWindow::actionHelpCheck4UpdatesTriggered()
@@ -423,5 +443,5 @@
 #else
 	title += QString("<b><a href=\"http://tspsg.sourceforge.net/\">http://tspsg.sf.net/</a></b>");
-#endif // Q_OS_WINCE_WM && Q_OS_SYMBIAN
+#endif // HANDHELD
 
 QString about;
@@ -825,12 +845,13 @@
 
 		// Saving Main Window state
+#ifndef HANDHELD
 		if (settings->value("SavePos", DEF_SAVEPOS).toBool()) {
 			settings->beginGroup("MainWindow");
-#ifndef HANDHELD
 			settings->setValue("Geometry", saveGeometry());
-#endif // HANDHELD
 			settings->setValue("State", saveState());
+			settings->setValue("Toolbars", toolBarManager->saveState());
 			settings->endGroup();
 		}
+#endif // HANDHELD
 	} else {
 		settings->remove("SettingsReset");
@@ -1060,4 +1081,19 @@
 }
 
+void MainWindow::loadToolbarList()
+{
+	menuSettingsToolbars->clear();
+#ifndef HANDHELD
+	menuSettingsToolbars->insertAction(NULL, actionSettingsToolbarsConfigure);
+	menuSettingsToolbars->addSeparator();
+QList<QToolBar *> list = toolBarManager->toolBars();
+	foreach (QToolBar *t, list) {
+		menuSettingsToolbars->insertAction(NULL, t->toggleViewAction());
+	}
+#else // HANDHELD
+	menuSettingsToolbars->insertAction(NULL, toolBarMain->toggleViewAction());
+#endif // HANDHELD
+}
+
 bool MainWindow::maybeSave()
 {
@@ -1128,24 +1164,28 @@
 
 	loadStyleList();
-
-	actionSettingsLanguageEnglish->setStatusTip(tr("Set application language to %1").arg("English"));
+	loadToolbarList();
+
+#ifndef HANDHELD
+	actionSettingsToolbarsConfigure->setText(tr("Configure..."));
+	actionSettingsToolbarsConfigure->setToolTip(tr("Customize toolbars"));
+#endif // HANDHELD
 
 #ifndef QT_NO_PRINTER
-	actionFilePrintPreview->setText(QApplication::translate("MainWindow", "P&rint Preview...", 0, QApplication::UnicodeUTF8));
+	actionFilePrintPreview->setText(tr("P&rint Preview..."));
 #ifndef QT_NO_TOOLTIP
-	actionFilePrintPreview->setToolTip(QApplication::translate("MainWindow", "Preview solution results", 0, QApplication::UnicodeUTF8));
+	actionFilePrintPreview->setToolTip(tr("Preview solution results"));
 #endif // QT_NO_TOOLTIP
 #ifndef QT_NO_STATUSTIP
-	actionFilePrintPreview->setStatusTip(QApplication::translate("MainWindow", "Preview current solution results before printing", 0, QApplication::UnicodeUTF8));
+	actionFilePrintPreview->setStatusTip(tr("Preview current solution results before printing"));
 #endif // QT_NO_STATUSTIP
 
-	actionFilePrint->setText(QApplication::translate("MainWindow", "&Print...", 0, QApplication::UnicodeUTF8));
+	actionFilePrint->setText(tr("&Print..."));
 #ifndef QT_NO_TOOLTIP
-	actionFilePrint->setToolTip(QApplication::translate("MainWindow", "Print solution", 0, QApplication::UnicodeUTF8));
+	actionFilePrint->setToolTip(tr("Print solution"));
 #endif // QT_NO_TOOLTIP
 #ifndef QT_NO_STATUSTIP
-	actionFilePrint->setStatusTip(QApplication::translate("MainWindow", "Print current solution results", 0, QApplication::UnicodeUTF8));
+	actionFilePrint->setStatusTip(tr("Print current solution results"));
 #endif // QT_NO_STATUSTIP
-	actionFilePrint->setShortcut(QApplication::translate("MainWindow", "Ctrl+P", 0, QApplication::UnicodeUTF8));
+	actionFilePrint->setShortcut(tr("Ctrl+P"));
 #endif // QT_NO_PRINTER
 #ifdef Q_OS_WIN32
@@ -1217,8 +1257,11 @@
 	//! \hack HACK: A little hack for toolbar icons to have a sane size.
 #ifdef HANDHELD
-	toolBar->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
-#endif // HANDHELD
-	static_cast<QToolButton *>(toolBar->widgetForAction(actionFileSave))->setMenu(menuFileSaveAs);
-	static_cast<QToolButton *>(toolBar->widgetForAction(actionFileSave))->setPopupMode(QToolButton::MenuButtonPopup);
+	toolBarMain->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
+#endif // HANDHELD
+QToolButton *tb = static_cast<QToolButton *>(toolBarMain->widgetForAction(actionFileSave));
+	if (tb != NULL)	 {
+		tb->setMenu(menuFileSaveAs);
+		tb->setPopupMode(QToolButton::MenuButtonPopup);
+	}
 
 	solutionText->document()->setDefaultFont(settings->value("Output/Font", QFont(DEF_FONT_FAMILY, DEF_FONT_SIZE)).value<QFont>());
@@ -1240,9 +1283,6 @@
 	menuFile->insertSeparator(actionFileExit);
 
-	toolBar->insertAction(actionSettingsPreferences,actionFilePrint);
+	toolBarMain->insertAction(actionSettingsPreferences, actionFilePrint);
 #endif // QT_NO_PRINTER
-
-	menuSettings->insertAction(actionSettingsPreferences, toolBar->toggleViewAction());
-	menuSettings->insertSeparator(actionSettingsPreferences);
 
 	groupSettingsLanguageList = new QActionGroup(this);
@@ -1254,4 +1294,9 @@
 	actionSettingsStyleSystem->setData(true);
 	groupSettingsStyleList = new QActionGroup(this);
+
+#ifndef HANDHELD
+	actionSettingsToolbarsConfigure = new QAction(this);
+	actionSettingsToolbarsConfigure->setIcon(QIcon(":/images/icons/configure-toolbars.png"));
+#endif // HANDHELD
 
 #ifdef Q_OS_WIN32
@@ -1265,18 +1310,9 @@
 	spinCities->setMaximum(MAX_NUM_CITIES);
 
-	retranslateUi(false);
-
-#ifdef Q_OS_WIN32
-	// Adding some eyecandy in Vista and 7 :-)
-	if (QtWin::isCompositionEnabled() && settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool())  {
-		toggleTranclucency(true);
-	}
-#endif // Q_OS_WIN32
-
 #ifndef HANDHELD
 	toolBarManager = new QtToolBarManager;
 	toolBarManager->setMainWindow(this);
-QString cat = toolBar->windowTitle();
-	toolBarManager->addToolBar(toolBar, cat);
+QString cat = toolBarMain->windowTitle();
+	toolBarManager->addToolBar(toolBarMain, cat);
 #ifndef QT_NO_PRINTER
 	toolBarManager->addAction(actionFilePrintPreview, cat);
@@ -1285,5 +1321,15 @@
 	toolBarManager->addAction(actionHelpContextual, cat);
 //	toolBarManager->addAction(action, cat);
-#endif // HANDHELD
+	toolBarManager->restoreState(settings->value("MainWindow/Toolbars").toByteArray());
+#endif // HANDHELD
+
+	retranslateUi(false);
+
+#ifdef Q_OS_WIN32
+	// Adding some eyecandy in Vista and 7 :-)
+	if (QtWin::isCompositionEnabled() && settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool())  {
+		toggleTranclucency(true);
+	}
+#endif // Q_OS_WIN32
 }
 
@@ -1311,11 +1357,2 @@
 #endif // Q_OS_WIN32
 }
-
-#ifndef HANDHELD
-void MainWindow::on_actionSettingsToolbars_triggered()
-{
-QtToolBarDialog dlg(this);
-	dlg.setToolBarManager(toolBarManager);
-	dlg.exec();
-}
-#endif // HANDHELD
Index: trunk/src/mainwindow.h
===================================================================
--- trunk/src/mainwindow.h	(revision 117)
+++ trunk/src/mainwindow.h	(revision 118)
@@ -63,10 +63,10 @@
 	void actionSettingsPreferencesTriggered();
 	void actionSettingsLanguageAutodetectTriggered(bool checked);
-#ifndef HANDHELD
-	void on_actionSettingsToolbars_triggered();
-#endif // HANDHELD
 	void groupSettingsLanguageListTriggered(QAction *action);
 	void actionSettingsStyleSystemTriggered(bool checked);
 	void groupSettingsStyleListTriggered(QAction *action);
+#ifndef HANDHELD
+	void actionSettingsToolbarsConfigureTriggered();
+#endif // HANDHELD
 #ifdef Q_OS_WIN32
 	void actionHelpCheck4UpdatesTriggered();
@@ -95,4 +95,5 @@
 	QActionGroup *groupSettingsStyleList;
 #ifndef HANDHELD
+	QAction *actionSettingsToolbarsConfigure;
 	QtToolBarManager *toolBarManager;
 #endif // HANDHELD
@@ -132,4 +133,5 @@
 	bool loadLanguage(const QString &lang = QString());
 	void loadStyleList();
+	void loadToolbarList();
 	bool maybeSave();
 	void outputMatrix(QTextCursor &cur, const TMatrix &matrix);
Index: trunk/src/version.h
===================================================================
--- trunk/src/version.h	(revision 117)
+++ trunk/src/version.h	(revision 118)
@@ -57,5 +57,5 @@
 #else
 	#if !defined(TSPSG_RELEASE_BUILD)
-		#define BUILD_STATUS (dev build)
+		#define BUILD_STATUS (nightly build)
 	#elif !defined(BUILD_STATUS)
 		#define BUILD_STATUS (build BUILD_NUMBER)