Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc	(revision 118)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc	(revision 119)
@@ -3,5 +3,5 @@
         <file>images/icons/go-down.png</file>
         <file>images/icons/go-next.png</file>
-        <file>images/icons/go-previous.png</file>
+        <file>images/icons/go-up.png</file>
         <file>images/icons/list-add.png</file>
         <file>images/icons/list-remove.png</file>
Index: trunk/src/defaults.h
===================================================================
--- trunk/src/defaults.h	(revision 118)
+++ trunk/src/defaults.h	(revision 119)
@@ -78,13 +78,4 @@
 #define DEF_SCROLL_TO_END false
 /*!
- * \def DEF_FONT_FAMILY
- * \brief Default font name.
- */
-#ifdef Q_OS_WINCE_WM
-	#define DEF_FONT_FAMILY "Tahoma"
-#else
-	#define DEF_FONT_FAMILY "monospace"
-#endif // Q_OS_WINCE_WM
-/*!
  * \def DEF_FONT_SIZE
  * \brief Default font size
Index: trunk/src/globals.h
===================================================================
--- trunk/src/globals.h	(revision 118)
+++ trunk/src/globals.h	(revision 119)
@@ -108,4 +108,19 @@
 }
 
+/*!
+ * \brief Returns the default font for solution output.
+ * \return The family name of the default font.
+ */
+inline QString getDefaultFont()
+{
+QFont f;
+#ifdef HANDHELD
+	f.setStyleHint(QFont::SansSerif);
+#else // HANDHELD
+	f.setStyleHint(QFont::TypeWriter);
+#endif // HANDHELD
+	return f.defaultFamily();
+}
+
 #ifdef Q_OS_WIN32
 /*!
Index: trunk/src/mainwindow.cpp
===================================================================
--- trunk/src/mainwindow.cpp	(revision 118)
+++ trunk/src/mainwindow.cpp	(revision 119)
@@ -621,5 +621,5 @@
 		pic.begin(&graph);
 		pic.setRenderHint(QPainter::Antialiasing);
-		pic.setFont(settings->value("Output/Font", QFont(DEF_FONT_FAMILY, 9)).value<QFont>());
+		pic.setFont(settings->value("Output/Font", QFont(getDefaultFont(), 9)).value<QFont>());
 		pic.setBrush(QBrush(QColor(Qt::white)));
 		pic.setBackgroundMode(Qt::OpaqueMode);
@@ -936,5 +936,5 @@
 void MainWindow::initDocStyleSheet()
 {
-	solutionText->document()->setDefaultFont(settings->value("Output/Font", QFont(DEF_FONT_FAMILY, DEF_FONT_SIZE)).value<QFont>());
+	solutionText->document()->setDefaultFont(settings->value("Output/Font", QFont(getDefaultFont(), DEF_FONT_SIZE)).value<QFont>());
 
 	fmt_paragraph.setTopMargin(0);
@@ -953,5 +953,7 @@
 	fmt_cell.setAlignment(Qt::AlignHCenter);
 
-QColor color = settings->value("Output/Colors/Text", DEF_TEXT_COLOR).value<QColor>();
+	settings->beginGroup("Output/Colors");
+
+QColor color = settings->value("Text", DEF_TEXT_COLOR).value<QColor>();
 QColor hilight;
 	if (color.value() < 192)
@@ -963,10 +965,12 @@
 	fmt_default.setForeground(QBrush(color));
 
-	fmt_selected.setForeground(QBrush(settings->value("Output/Colors/Selected", DEF_SELECTED_COLOR).value<QColor>()));
+	fmt_selected.setForeground(QBrush(settings->value("Selected", DEF_SELECTED_COLOR).value<QColor>()));
 	fmt_selected.setFontWeight(QFont::Bold);
 
-	fmt_alternate.setForeground(QBrush(settings->value("Output/Colors/Alternate", DEF_ALTERNATE_COLOR).value<QColor>()));
+	fmt_alternate.setForeground(QBrush(settings->value("Alternate", DEF_ALTERNATE_COLOR).value<QColor>()));
 	fmt_alternate.setFontWeight(QFont::Bold);
 	fmt_altlist.setForeground(QBrush(hilight));
+
+	settings->endGroup();
 
 	solutionText->setTextColor(color);
@@ -1166,9 +1170,4 @@
 	loadToolbarList();
 
-#ifndef HANDHELD
-	actionSettingsToolbarsConfigure->setText(tr("Configure..."));
-	actionSettingsToolbarsConfigure->setToolTip(tr("Customize toolbars"));
-#endif // HANDHELD
-
 #ifndef QT_NO_PRINTER
 	actionFilePrintPreview->setText(tr("P&rint Preview..."));
@@ -1189,9 +1188,14 @@
 	actionFilePrint->setShortcut(tr("Ctrl+P"));
 #endif // QT_NO_PRINTER
+
+#ifndef HANDHELD
+	actionSettingsToolbarsConfigure->setText(tr("Configure..."));
+#ifndef QT_NO_STATUSTIP
+	actionSettingsToolbarsConfigure->setStatusTip(tr("Customize toolbars"));
+#endif // QT_NO_STATUSTIP
+#endif // HANDHELD
+
 #ifdef Q_OS_WIN32
 	actionHelpCheck4Updates->setText(tr("Check for &Updates..."));
-#ifndef QT_NO_TOOLTIP
-	actionHelpCheck4Updates->setToolTip(tr("Check for %1 updates").arg(QApplication::applicationName()));
-#endif // QT_NO_TOOLTIP
 #ifndef QT_NO_STATUSTIP
 	actionHelpCheck4Updates->setStatusTip(tr("Check for %1 updates").arg(QApplication::applicationName()));
@@ -1265,5 +1269,5 @@
 	}
 
-	solutionText->document()->setDefaultFont(settings->value("Output/Font", QFont(DEF_FONT_FAMILY, DEF_FONT_SIZE)).value<QFont>());
+//	solutionText->document()->setDefaultFont(settings->value("Output/Font", QFont(DEF_FONT_FAMILY, DEF_FONT_SIZE)).value<QFont>());
 	solutionText->setWordWrapMode(QTextOption::WordWrap);
 
Index: trunk/src/settingsdialog.cpp
===================================================================
--- trunk/src/settingsdialog.cpp	(revision 118)
+++ trunk/src/settingsdialog.cpp	(revision 119)
@@ -223,5 +223,5 @@
 	cbScrollToEnd->setChecked(settings->value("ScrollToEnd", DEF_SCROLL_TO_END).toBool());
 
-	font = settings->value("Font",QFont(DEF_FONT_FAMILY, DEF_FONT_SIZE)).value<QFont>();
+	font = settings->value("Font", QFont(getDefaultFont(), DEF_FONT_SIZE)).value<QFont>();
 	color = settings->value("Colors/Text", DEF_TEXT_COLOR).value<QColor>();
 	settings->endGroup();
@@ -269,5 +269,5 @@
 	if (QApplication::keyboardModifiers() & Qt::ShiftModifier) {
 		if (QMessageBox::question(this, tr("Settings Reset"), tr("Do you really want to <b>reset all application settings to their defaults</b>?"), QMessageBox::RestoreDefaults | QMessageBox::Cancel) == QMessageBox::RestoreDefaults) {
-			_newFont = (font != QFont(DEF_FONT_FAMILY, DEF_FONT_SIZE));
+			_newFont = (font != QFont(getDefaultFont(), DEF_FONT_SIZE));
 			_newColor = (color != DEF_TEXT_COLOR);
 			settings->remove("");