Index: ui/mainwindow.ce.ui
===================================================================
--- ui/mainwindow.ce.ui	(revision 690f6939a74b1364b999bdf013d5fc2dfd84020e)
+++ ui/mainwindow.ce.ui	(revision 134a9158bdb06b4a9e30aa4386a1a0f0ce5b3320)
@@ -175,4 +175,8 @@
            <string>Random</string>
           </property>
+          <property name="icon">
+           <iconset resource="../resources/tspsg.qrc">
+            <normaloff>:/images/icons/roll.png</normaloff>:/images/icons/roll.png</iconset>
+          </property>
          </widget>
         </item>
@@ -190,5 +194,5 @@
           <property name="icon">
            <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/buttons/buttons/OK.png</normaloff>:/images/buttons/buttons/OK.png</iconset>
+            <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
           </property>
          </widget>
@@ -264,5 +268,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+       <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
      </property>
      <addaction name="actionFileSaveTask"/>
@@ -295,5 +299,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/buttons/buttons/Web.png</normaloff>:/images/buttons/buttons/Web.png</iconset>
+       <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
      </property>
      <addaction name="actionSettingsLanguageAutodetect"/>
@@ -322,10 +326,4 @@
    <property name="cursor">
     <cursorShape>ArrowCursor</cursorShape>
-   </property>
-   <property name="iconSize">
-    <size>
-     <width>17</width>
-     <height>18</height>
-    </size>
    </property>
    <attribute name="toolBarArea">
@@ -388,5 +386,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Document.png</normaloff>:/images/buttons/buttons/Document.png</iconset>
+     <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
    </property>
    <property name="text">
@@ -409,5 +407,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/OpenFolder.png</normaloff>:/images/buttons/buttons/OpenFolder.png</iconset>
+     <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
    </property>
    <property name="text">
@@ -430,5 +428,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Properties.png</normaloff>:/images/buttons/buttons/Properties.png</iconset>
+     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
    </property>
    <property name="text">
@@ -448,5 +446,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/book_open.png</normaloff>:/images/buttons/buttons/book_open.png</iconset>
+     <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
    </property>
    <property name="text">
@@ -463,8 +461,8 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Help.png</normaloff>:/images/buttons/buttons/Help.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Context help</string>
+     <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
+   </property>
+   <property name="text">
+    <string>Context &amp;Help</string>
    </property>
    <property name="statusTip">
@@ -475,5 +473,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/infoBubble.png</normaloff>:/images/buttons/buttons/infoBubble.png</iconset>
+     <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
    </property>
    <property name="text">
@@ -490,5 +488,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/NoAction.png</normaloff>:/images/buttons/buttons/NoAction.png</iconset>
+     <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
    </property>
    <property name="text">
@@ -502,5 +500,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+     <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
    </property>
    <property name="text">
@@ -554,5 +552,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+     <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
    </property>
    <property name="text">
Index: ui/mainwindow.ui
===================================================================
--- ui/mainwindow.ui	(revision 690f6939a74b1364b999bdf013d5fc2dfd84020e)
+++ ui/mainwindow.ui	(revision 134a9158bdb06b4a9e30aa4386a1a0f0ce5b3320)
@@ -154,4 +154,8 @@
              <string>Random</string>
             </property>
+            <property name="icon">
+             <iconset resource="../resources/tspsg.qrc">
+              <normaloff>:/images/icons/roll.png</normaloff>:/images/icons/roll.png</iconset>
+            </property>
            </widget>
           </item>
@@ -169,5 +173,5 @@
             <property name="icon">
              <iconset resource="../resources/tspsg.qrc">
-              <normaloff>:/images/buttons/buttons/OK.png</normaloff>:/images/buttons/buttons/OK.png</iconset>
+              <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
             </property>
            </widget>
@@ -242,5 +246,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+       <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
      </property>
      <addaction name="actionFileSaveTask"/>
@@ -276,5 +280,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/buttons/buttons/Web.png</normaloff>:/images/buttons/buttons/Web.png</iconset>
+       <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
      </property>
      <addaction name="actionSettingsLanguageAutodetect"/>
@@ -305,10 +309,4 @@
     <cursorShape>ArrowCursor</cursorShape>
    </property>
-   <property name="iconSize">
-    <size>
-     <width>17</width>
-     <height>18</height>
-    </size>
-   </property>
    <attribute name="toolBarArea">
     <enum>TopToolBarArea</enum>
@@ -329,5 +327,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/PrintSetup.png</normaloff>:/images/buttons/buttons/PrintSetup.png</iconset>
+     <normaloff>:/images/icons/fileprint.png</normaloff>:/images/icons/fileprint.png</iconset>
    </property>
    <property name="text">
@@ -344,5 +342,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Print.png</normaloff>:/images/buttons/buttons/Print.png</iconset>
+     <normaloff>:/images/icons/fileprint.png</normaloff>:/images/icons/fileprint.png</iconset>
    </property>
    <property name="text">
@@ -401,5 +399,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Document.png</normaloff>:/images/buttons/buttons/Document.png</iconset>
+     <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
    </property>
    <property name="text">
@@ -422,5 +420,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/OpenFolder.png</normaloff>:/images/buttons/buttons/OpenFolder.png</iconset>
+     <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
    </property>
    <property name="text">
@@ -443,5 +441,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Properties.png</normaloff>:/images/buttons/buttons/Properties.png</iconset>
+     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
    </property>
    <property name="text">
@@ -461,5 +459,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/book_open.png</normaloff>:/images/buttons/buttons/book_open.png</iconset>
+     <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
    </property>
    <property name="text">
@@ -476,8 +474,8 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Help.png</normaloff>:/images/buttons/buttons/Help.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Context help</string>
+     <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
+   </property>
+   <property name="text">
+    <string>Context &amp;Help</string>
    </property>
    <property name="statusTip">
@@ -488,5 +486,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/infoBubble.png</normaloff>:/images/buttons/buttons/infoBubble.png</iconset>
+     <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
    </property>
    <property name="text">
@@ -503,5 +501,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/NoAction.png</normaloff>:/images/buttons/buttons/NoAction.png</iconset>
+     <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
    </property>
    <property name="text">
@@ -515,5 +513,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+     <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
    </property>
    <property name="text">
@@ -567,5 +565,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+     <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
    </property>
    <property name="text">
Index: ui/settingsdialog.ce.ui
===================================================================
--- ui/settingsdialog.ce.ui	(revision 690f6939a74b1364b999bdf013d5fc2dfd84020e)
+++ ui/settingsdialog.ce.ui	(revision 134a9158bdb06b4a9e30aa4386a1a0f0ce5b3320)
@@ -16,5 +16,5 @@
   <property name="windowIcon">
    <iconset resource="../resources/tspsg.qrc">
-    <normaloff>:/images/Settings.png</normaloff>:/images/Settings.png</iconset>
+    <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
@@ -207,5 +207,5 @@
           <property name="icon">
            <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/buttons/buttons/Color.png</normaloff>:/images/buttons/buttons/Color.png</iconset>
+            <normaloff>:/images/icons/color_line.png</normaloff>:/images/icons/color_line.png</iconset>
           </property>
          </widget>
@@ -224,5 +224,5 @@
           <property name="icon">
            <iconset resource="../resources/tspsg.qrc">
-            <normaloff>:/images/buttons/buttons/Font.png</normaloff>:/images/buttons/buttons/Font.png</iconset>
+            <normaloff>:/images/icons/fonts.png</normaloff>:/images/icons/fonts.png</iconset>
           </property>
          </widget>
@@ -295,5 +295,5 @@
        <property name="icon">
         <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/buttons/buttons/Help.png</normaloff>:/images/buttons/buttons/Help.png</iconset>
+         <normaloff>:/images/icons/help_hint.png</normaloff>:/images/icons/help_hint.png</iconset>
        </property>
        <property name="autoRaise">
@@ -328,5 +328,5 @@
        <property name="icon">
         <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/buttons/buttons/OK.png</normaloff>:/images/buttons/buttons/OK.png</iconset>
+         <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
        </property>
        <property name="default">
@@ -348,5 +348,5 @@
        <property name="icon">
         <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/buttons/buttons/Critical.png</normaloff>:/images/buttons/buttons/Critical.png</iconset>
+         <normaloff>:/images/icons/button_cancel.png</normaloff>:/images/icons/button_cancel.png</iconset>
        </property>
       </widget>
Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 690f6939a74b1364b999bdf013d5fc2dfd84020e)
+++ ui/settingsdialog.ui	(revision 134a9158bdb06b4a9e30aa4386a1a0f0ce5b3320)
@@ -16,5 +16,5 @@
   <property name="windowIcon">
    <iconset resource="../resources/tspsg.qrc">
-    <normaloff>:/images/Settings.png</normaloff>:/images/Settings.png</iconset>
+    <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
   </property>
   <layout class="QVBoxLayout">
@@ -51,5 +51,5 @@
        </property>
        <property name="pixmap">
-        <pixmap resource="../resources/tspsg.qrc">:/images/Settings.png</pixmap>
+        <pixmap resource="../resources/tspsg.qrc">:/images/icons/preferences_system.png</pixmap>
        </property>
        <property name="alignment">
@@ -293,5 +293,5 @@
                  <property name="icon">
                   <iconset resource="../resources/tspsg.qrc">
-                   <normaloff>:/images/buttons/buttons/Color.png</normaloff>:/images/buttons/buttons/Color.png</iconset>
+                   <normaloff>:/images/icons/color_line.png</normaloff>:/images/icons/color_line.png</iconset>
                  </property>
                 </widget>
@@ -310,5 +310,5 @@
                  <property name="icon">
                   <iconset resource="../resources/tspsg.qrc">
-                   <normaloff>:/images/buttons/buttons/Font.png</normaloff>:/images/buttons/buttons/Font.png</iconset>
+                   <normaloff>:/images/icons/fonts.png</normaloff>:/images/icons/fonts.png</iconset>
                  </property>
                 </widget>
@@ -385,5 +385,5 @@
        <property name="icon">
         <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/buttons/buttons/Help.png</normaloff>:/images/buttons/buttons/Help.png</iconset>
+         <normaloff>:/images/icons/help_hint.png</normaloff>:/images/icons/help_hint.png</iconset>
        </property>
        <property name="autoRaise">
@@ -430,5 +430,5 @@
        <property name="icon">
         <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/buttons/buttons/OK.png</normaloff>:/images/buttons/buttons/OK.png</iconset>
+         <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
        </property>
        <property name="default">
@@ -450,5 +450,5 @@
        <property name="icon">
         <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/buttons/buttons/Critical.png</normaloff>:/images/buttons/buttons/Critical.png</iconset>
+         <normaloff>:/images/icons/button_cancel.png</normaloff>:/images/icons/button_cancel.png</iconset>
        </property>
       </widget>