Index: trunk/install.pri
===================================================================
--- trunk/install.pri	(revision 152)
+++ trunk/install.pri	(revision 153)
@@ -115,2 +115,13 @@
 	DEPLOYMENT.installer_header = "$${LITERAL_HASH}{\"TSPSG Installer\"},(0xA000D7CE),1,0,0"
 }
+
+# Maemo 5
+maemo5 {
+	target.path = /opt/usr/bin
+	desktop.files = qtc_packaging/tspsg.desktop
+	desktop.path = /usr/share/applications/hildon
+	icon.files = qtc_packaging/tspsg.png
+	icon.path = /usr/share/icons/hicolor/64x64/apps
+
+	INSTALLS += desktop icon
+}
Index: trunk/qtc_packaging/debian_fremantle/README
===================================================================
--- trunk/qtc_packaging/debian_fremantle/README	(revision 153)
+++ trunk/qtc_packaging/debian_fremantle/README	(revision 153)
@@ -0,0 +1,17 @@
+The Debian Package tspsg
+----------------------------
+
+TSPSG is intended to generate and solve Travelling Salesman Problem
+(TSP) tasks. It uses Branch and Bound method for solving. Its input is
+a number of cities and a matrix of city-to-city travel costs. The
+matrix can be populated with random values in a given range (which is
+useful for generating tasks). The result is an optimal route, its
+price, step-by-step matrices of solving and a solving graph. The task
+can be saved in an internal binary format and opened later. The result
+can be printed or saved as PDF, HTML, or ODF.
+
+TSPSG may be useful for teachers to generate test tasks or just for
+regular users to solve TSPs. Also, it may be used as an example of
+using Branch and Bound method to solve a particular task.
+
+ -- Oleksii Serdiuk <contacts@oleksii.name>  Fri, 18 Feb 2011 21:18:50 +0200
Index: trunk/qtc_packaging/debian_fremantle/changelog
===================================================================
--- trunk/qtc_packaging/debian_fremantle/changelog	(revision 153)
+++ trunk/qtc_packaging/debian_fremantle/changelog	(revision 153)
@@ -0,0 +1,5 @@
+tspsg (0.1.4) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Oleksii Serdiuk <contacts@oleksii.name>  Fri, 18 Feb 2011 21:18:50 +0200
Index: trunk/qtc_packaging/debian_fremantle/compat
===================================================================
--- trunk/qtc_packaging/debian_fremantle/compat	(revision 153)
+++ trunk/qtc_packaging/debian_fremantle/compat	(revision 153)
@@ -0,0 +1,1 @@
+7
Index: trunk/qtc_packaging/debian_fremantle/control
===================================================================
--- trunk/qtc_packaging/debian_fremantle/control	(revision 153)
+++ trunk/qtc_packaging/debian_fremantle/control	(revision 153)
@@ -0,0 +1,26 @@
+Source: tspsg
+Section: user/hidden
+Priority: optional
+Maintainer: Oleksii Serdiuk <contacts@oleksii.name>
+Homepage: http://tspsg.info/
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 5), libqt4-dev
+
+Package: tspsg
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: TSP Solver and Generator
+ TSPSG is intended to generate and solve Travelling Salesman Problem
+ (TSP) tasks. It uses Branch and Bound method for solving. Its input is
+ a number of cities and a matrix of city-to-city travel costs. The
+ matrix can be populated with random values in a given range (which is
+ useful for generating tasks). The result is an optimal route, its
+ price, step-by-step matrices of solving and a solving graph. The task
+ can be saved in an internal binary format and opened later. The result
+ can be printed or saved as PDF, HTML, or ODF.
+ .
+ TSPSG may be useful for teachers to generate test tasks or just for
+ regular users to solve TSPs. Also, it may be used as an example of
+ using Branch and Bound method to solve a particular task.
+XB-Maemo-Display-Name: TSPSG
+XB-Maemo-Icon-26: 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
Index: trunk/qtc_packaging/debian_fremantle/copyright
===================================================================
--- trunk/qtc_packaging/debian_fremantle/copyright	(revision 153)
+++ trunk/qtc_packaging/debian_fremantle/copyright	(revision 153)
@@ -0,0 +1,138 @@
+Format: http://svn.debian.org/wsvn/dep/web/deps/dep5.mdwn?op=file&rev=166
+Upstream-Name: TSP Solver and Generator
+Upstream-Contact: Oleksii Serdiuk <contacts@oleksii.name>
+Source: http://tspsg.info/source-code
+
+Files: *
+Copyright: 2007-2010, Oleksii Serdiuk <contacts@oleksii.name>
+License: GPL-3+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+Files: src/3rdparty/qttoolbardialog-2.2_1-opensource/*
+Copyright: Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies)
+License: Commercial or LGPL-2.1 with Nokia Qt LGPL Exception version 1.1 or GPL-3
+ Commercial Usage
+ Licensees holding valid Qt Commercial licenses may use this file in
+ accordance with the Qt Commercial License Agreement provided with the
+ Software or, alternatively, in accordance with the terms contained in
+ a written agreement between you and Nokia.
+ .
+ GNU Lesser General Public License Usage
+ Alternatively, this file may be used under the terms of the GNU Lesser
+ General Public License version 2.1 as published by the Free Software
+ Foundation and appearing in the file LICENSE.LGPL included in the
+ packaging of this file.  Please review the following information to
+ ensure the GNU Lesser General Public License version 2.1 requirements
+ will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+ . 
+ In addition, as a special exception, Nokia gives you certain
+ additional rights. These rights are described in the Nokia Qt LGPL
+ Exception version 1.1, included in the file LGPL_EXCEPTION.txt in this
+ package.
+ .
+ GNU General Public License Usage
+ Alternatively, this file may be used under the terms of the GNU
+ General Public License version 3.0 as published by the Free Software
+ Foundation and appearing in the file LICENSE.GPL included in the
+ packaging of this file.  Please review the following information to
+ ensure the GNU General Public License version 3.0 requirements will be
+ met: http://www.gnu.org/copyleft/gpl.html.
+ .
+ Nokia Qt LGPL Exception version 1.1
+ As an additional permission to the GNU Lesser General Public License
+ version 2.1, the object code form of a "work that uses the Library"
+ may incorporate material from a header file that is part of the
+ Library.  You may distribute such object code under terms of your
+ choice, provided that:
+ (i) the header files of the Library have not been modified; and
+ (ii) the incorporated material is limited to numerical parameters,
+ data structure layouts, accessors, macros, inline functions and
+ templates; and
+ (iii) you comply with the terms of Section 6 of the GNU
+ Lesser General Public License version 2.1.
+ .
+ Moreover, you may apply this exception to a modified version of the
+ Library, provided that such modification does not involve copying
+ material from the Library into the modified Library?s header files
+ unless such material is limited to (i) numerical parameters; (ii) data
+ structure layouts; (iii) accessors; and (iv) small macros, templates
+ and inline functions of five lines or less in length.
+ .
+ Furthermore, you are not required to apply this additional permission
+ to a modified version of the Library.
+
+Files: resources/icons/l10n/*
+Copyright: IconDrawer (Eugen Buzuk)
+License:
+ Flag icons are made by www.IconDrawer.com
+ If you wish to use them on website, you have to place link to
+ www.icondrawer.com on your site (Somewhere on static page, not in
+ blog or news page).
+ If you can not or do not want to place link back, you can purchase
+ royalty-free license.
+
+Files: resources/DejaVuLGCSansMono.ttf
+Copyright: Bitstream (see below). DejaVu changes are in public domain.
+License:
+ Bitstream Vera Fonts Copyright
+ ------------------------------
+ .
+ Copyright (c) 2003 by Bitstream, Inc. All Rights Reserved. Bitstream Vera is
+ a trademark of Bitstream, Inc.
+ .
+ Permission is hereby granted, free of charge, to any person obtaining a copy
+ of the fonts accompanying this license ("Fonts") and associated
+ documentation files (the "Font Software"), to reproduce and distribute the
+ Font Software, including without limitation the rights to use, copy, merge,
+ publish, distribute, and/or sell copies of the Font Software, and to permit
+ persons to whom the Font Software is furnished to do so, subject to the
+ following conditions:
+ .
+ The above copyright and trademark notices and this permission notice shall
+ be included in all copies of one or more of the Font Software typefaces.
+ .
+ The Font Software may be modified, altered, or added to, and in particular
+ the designs of glyphs or characters in the Fonts may be modified and
+ additional glyphs or characters may be added to the Fonts, only if the fonts
+ are renamed to names not containing either the words "Bitstream" or the word
+ "Vera".
+ .
+ This License becomes null and void to the extent applicable to Fonts or Font
+ Software that has been modified and is distributed under the "Bitstream
+ Vera" names.
+ .
+ The Font Software may be sold as part of a larger software package but no
+ copy of one or more of the Font Software typefaces may be sold by itself.
+ .
+ THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+ OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY,
+ FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT,
+ TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL BITSTREAM OR THE GNOME
+ FOUNDATION BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING
+ ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
+ WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
+ THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE
+ FONT SOFTWARE.
+ .
+ Except as contained in this notice, the names of Gnome, the Gnome
+ Foundation, and Bitstream Inc., shall not be used in advertising or
+ otherwise to promote the sale, use or other dealings in this Font Software
+ without prior written authorization from the Gnome Foundation or Bitstream
+ Inc., respectively. For further information, contact: fonts at gnome dot
+ org.
+
+X-Comment: On Debian systems, the full text of the GNU Public Licenses
+ can be found in files
+ `/usr/share/common-licenses/GPL-3',
+ `/usr/share/common-licenses/LGPL-2.1'.
Index: trunk/qtc_packaging/debian_fremantle/rules
===================================================================
--- trunk/qtc_packaging/debian_fremantle/rules	(revision 153)
+++ trunk/qtc_packaging/debian_fremantle/rules	(revision 153)
@@ -0,0 +1,91 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+
+
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp  
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE)
+	#docbook-to-man debian/tspsg.sgml > tspsg.1
+
+	touch $@
+
+clean: 
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+
+	# Add here commands to clean up after the build process.
+	$(MAKE) clean
+
+	dh_clean 
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+
+	# Add here commands to install the package into debian/tspsg.
+	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/tspsg install
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs 
+	dh_installdocs
+	dh_installexamples
+#	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+	dh_installman
+	dh_link
+	# dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_perl
+#	dh_makeshlibs
+	dh_installdeb
+	# dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
Index: trunk/qtc_packaging/tspsg.desktop
===================================================================
--- trunk/qtc_packaging/tspsg.desktop	(revision 153)
+++ trunk/qtc_packaging/tspsg.desktop	(revision 153)
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Encoding=UTF-8
+Version=1.0
+Type=Application
+Terminal=false
+Name=TSP Solver and Generator
+GenericName=Solving Travelling Salesman Problem using Branch and Bound method
+GenericName[ru]=Решение задачи коммивояжера методом ветвей и границ
+GenericName[uk]=Розв'язання задачі комівояжера методом гілок та меж
+Exec=/opt/usr/bin/tspsg
+Icon=tspsg
+X-Window-Icon=
+X-HildonDesk-ShowInToolbar=true
+X-Osso-Type=application/x-executable